version: 0.0
os: linux
files:
  - source: dist.zip
    destination: /var/www/html/api
hooks:
  BeforeInstall:
    - location: before_scripts.sh
      timeout: 300
      runas: root
  AfterInstall:
    - location: after_scripts.sh
      timeout: 300
      runas: root
  ApplicationStart:
    - location: application_start.sh
      timeout: 300
      runas: root